Description

The engineering view is a separate tool from the normal workflow editor. Add the engineering view to File -> New submenu, and
when selected it should open a new window showing the engineering view tabs. The actor tree should only contain components
(actors and annotations) specific to engineering view. A second part of this bug is to develop the ontology for those components.

Related issues:

Blocked by Kepler - Bug #4747: import & export site layout to SensorML New 02/05/2010
Blocked by Kepler - Bug #5205: Sensor site components not yet in tree Resolved 10/18/2010
History

#1 - 02/08/2010 03:06 PM - likay Altintas

We need a definition and distinctionof what scientific workflow vs. engineer workflow is. This could also be thought of at the actor level. Sam definition
is needed to distinguish between engineering view and scientist's view.

What kinds of workflows run under what kind of views with what kind of actors and directors?

#2 - 02/08/2010 03:08 PM - likay Altintas

As a start:

1. Does an engineering workflow only produce commands to control, etc. the sensors? Using what actor and director, if so...

2. Create site is the documented design of the sensor deployment site, but can | right-click and open related engineering workflows? And vice versa...
can | go from regular Kepler to engineering view?

#3 - 03/31/2010 03:36 PM - Daniel Crawl

An alternative to putting the engineering view under the File -> New submenu, is to make it a separate view pane. There would be four view panes:
the normal Workflow Editor, Report Designer, Sensor Site, and Workflow Scheduler. (Sensor Site provides the engineering view canvas).

However, this means there are two unrelated canvases per window. Also, what does File -> Save do?

#4 - 06/28/2010 02:47 PM - Sean Riddle

Library filtering based on model is done. | want to look into making slight GUI changes to visually differentiate an engineering view model from a
normal Kepler model. Also, | want to make the workspace tabs and upper-right drop-down contents depend on the model type. For a normal Kepler
model, those contents would be the same as if one were running the reporting suite.

#5 - 09/24/2010 03:25 PM - Daniel Crawl

When | start Kepler with the sensor-view at the top of modules.txt, the Ul looks the same. It's not until | open a workflow that | see the new model type
(white instead of gray background around the buttons and tabs).

How does one add components to the new model type? Currently it's empty. It'd be nice if | could specify in a configuration file the semantic types or
actor/parameter class names | want to include, e.g.:

urn:lsid:localhost:onto:2:1#WorkflowDocumentation

or

ptolemy.vergil.kernel.attributes. TextAttribute

I'd prefer not to have to change the metadata in every actor's KAR file that | want to include in the model type.
It looks like the config files are in:

sensor-view/src/ptolemy/configs
To be consistent with other modules using MoML config files, it should be:

sensor-view/configs/ptolemy/configs/kepler/

#6 - 11/24/2010 11:26 AM - Sean Riddle

I've changed around the way to make components visible. There are two attributes defined in org.kepler.domains.ev.EVTableau: _filterModule and
_filterRelativePath. These are StringAttributes that contain the name of a module and the relative path from that module to a text file containing actor
references. In EVTableau this references resources/library_filter.txt in the sensor-view module. This file will contain actor classnames or LSIDs, one
per line, with blank lines ignored. The default library_filter.txt shows the StringConstant and Constant actors. These final changes were committed in
trunk in r26376-9.

#7 - 02/14/2011 01:45 PM - Derik Barseghian
changing bugs from REAP to Kepler product

#8 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4742
